Bug 221174 - LSPP - kernel-headers in ppc architecture is incomplete
LSPP - kernel-headers in ppc architecture is incomplete
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
ppc64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-02 13:55 EST by Thiago Jung Bauermann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 12:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thiago Jung Bauermann 2007-01-02 13:55:10 EST
Description of problem:

/usr/include/asm/page.h is empty, except for the copyright statement.

A test of ours used the PAGE_SIZE constant which is supposed to be declared
there. We are now using getpagesize(2) as a substitute.

Version-Release number of selected component (if applicable):

kernel-headers-2.6.18-1.2910.el5

How reproducible:

Always

Steps to Reproduce:
1. cat /usr/include/asm/page.h
  
Actual results:

File with no C code, only comments and an #ifndef/#endif

Expected results:

C code with several #defines and function declarations.

Additional info:
Comment 2 David Woodhouse 2007-01-03 12:00:11 EST
The test was broken; you have applied a correct fix. Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.